Name: at
Version: 3.1.8
Release: ipl9mdk

%define	at_user %{name}daemon
%define	at_group %{name}daemon
%define	at_dir /var/spool/%name
%define	at_jobdir %at_dir/jobs
%define	at_spooldir %at_dir/spool

Summary: Job spooling tools
License: GPL
Group: System/Servers
Source: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin/%name-%version.tar.bz2
Source1: %{name}d.init

Patch0: %name-3.1.7-lockfile.patch
Patch1: %name-3.1.7-noon.patch
Patch2: %name-3.1.7-paths.patch
Patch3: %name-3.1.7-sigchld.patch
Patch5: %name-3.1.7-typo.patch
Patch6: %name-3.1.8-debian.ipl.patch
Patch7: %name-3.1.8-buflen.patch
Patch8: %name-3.1.8-UTC.patch
Patch9: %name-3.1.8-progname.patch

Patch10: %name-3.1.8-socket.patch
Patch11: %name-3.1.8-security.patch

PreReq: fileutils chkconfig
Conflicts: crontabs <= 1.5

# Automatically added by buildreq on Sun Feb 25 2001
BuildRequires: bison flex postfix vixie-cron

%description
At and batch read commands from standard input or from a specified file.
At allows you to specify that a command will be run at a particular time
(now or a specified time in the future).  Batch will execute commands
when the system load levels drop to a particular level.  Both commands
use /bin/sh to run the commands.

You should install the at package if you need a utility that will do
time-oriented job control.  Note: you should use crontab instead, if it is
a recurring job that will need to be repeated at the same time every
day/week/etc.

%prep
%setup -q
%patch0 -p1
# The next path is a brute-force fix that will have to be updated
# when new versions of %name are released.
%patch2 -p1
%patch3 -p1

%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%patch10 -p1
%patch11 -p1

perl -pi -e 's/-o root //g;s/-g root //g' Makefile.in
rm -f y.tab.c y.tab.h lex.yy.c

%build
autoconf
%configure \
	--with-jobdir=%at_jobdir \
	--with-atspool=%at_spooldir \
	--with-daemon_username=%at_user \
	--with-daemon_groupname=%at_group
%make_build

%install
install -p -m755 -D %SOURCE1 $RPM_BUILD_ROOT%_initdir/%{name}d

%make_install install \
	IROOT=$RPM_BUILD_ROOT \
	DAEMON_USERNAME=`id -nu` \
	DAEMON_GROUPNAME=`id -ng`
touch $RPM_BUILD_ROOT%_sysconfdir/%name.deny

chmod 2711 $RPM_BUILD_ROOT%_bindir/%name
mkdir -p $RPM_BUILD_ROOT/var/run/%name

%pre
/usr/sbin/groupadd -r -f %at_group &>/dev/null
/usr/sbin/useradd -r -g %at_group -d /dev/null -s /dev/null -n %at_user &>/dev/null ||:

%post
%post_service %{name}d

cd %at_jobdir
if [ ! -s .SEQ ]; then
	touch .SEQ
	chmod 660 .SEQ
	chown %at_user:%at_group .SEQ
fi

%preun
%preun_service %{name}d
if [ $1 = 0 ]; then
	rm -f /var/run/%name/*
fi

%files
%attr (2711,root,%at_group)%_bindir/%name
%_bindir/atq
%_bindir/atrm
%_bindir/batch
%_sbindir/*
%_mandir/man?/*
%config(noreplace) %_initdir/%{name}d
%attr(640,root,%at_group) %config(noreplace) %_sysconfdir/%name.deny
%attr(2710,root,%at_group) %dir /var/run/%name
%attr(2710,root,%at_group) %dir %at_dir
%attr(3730,%at_user,%at_group) %dir %at_spooldir
%attr(3770,%at_user,%at_group) %dir %at_jobdir
%attr(660,%at_user,%at_group) %ghost %at_jobdir/.SEQ
%doc ChangeLog Copyright Problems README timespec

%changelog
* Wed Oct 30 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.8-ipl9mdk
- rebuild with gcc3

* Tue Jan 15 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.8-ipl8mdk
- some little security related fixes.

* Thu Jul 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.1.8-ipl7mdk
- Replaced fifo with unix domain socket.
- Changed at uid:gid pair to %at_user:%at_group.

* Tue Jul 10 2001 Stanislav Ievlev <inger@altlinux.ru> 3.1.8-ipl6mdk
- Fixes in fifo. Child exits if father dead.

* Thu Jul 05 2001 Stanislav Ievlev <inger@altlinux.ru> 3.1.8-ipl5mdk
- Small fixes in fifo.

* Tue Jun 26 2001 Stanislav Ievlev <inger@altlinux.ru> 3.1.8-ipl4mdk
- Changed at from SUID to SGID.

* Thu May 24 2001 Stanislav Ievlev <inger@altlinux.ru> 3.1.8-ipl3mdk
- Rebuild for use new macros post_service and preun_service

* Sun Feb 25 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.8-ipl2mdk
- Added progname patch.

* Thu Jan 18 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.8-ipl1mdk
- 3.1.8 (rh/debian merge).

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.7-ipl17mdk
- RE adaptions.

* Mon Sep 11 2000 Enzo Maggi <enzo@mandrakesoft.com> 3.1.7-17mdk
- added (noreplace) to config files.

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.7-16mdk
- rebuild for the user of the _initrddir macro.

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.7-15mdk
- rebulid for BM
- macroszifications

* Sun Apr 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.1.7-14mdk
- fixed man page compression --> is handled by spechelper

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 3.1.7-13mdk
- now under system/Servers group

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merging with the RedHat changes :
	-* correct perms for /var/spool/at after defattr.
	-* reset SIGCHLD before exec (#3016).
	-* fix handling the 12:00 time

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Prereq update (we need setup package before)

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man pages
- handle RPM_OPT_FLAGS
- add de locale

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- learned to spell

* Wed Oct 22 1997 Michael K. Johnson <johnsonm@redhat.com>
- updated to at version 3.1.7
- updated lock and sequence file handling with %ghost
- Use chkconfig and atd, now conflicts with old crontabs packages

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
